com.lowagie.text.pdf

## Class PdfCopy.IndirectReferences

- java.lang.Object
- - com.lowagie.text.pdf.PdfCopy.IndirectReferences

- Enclosing class:
    PdfCopy

      static class PdfCopy.IndirectReferences
      extends java.lang.Object

  This class holds information about indirect references, since they are renumbered by iText.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `hasCopied`
    `(package private) PdfIndirectReference` | `theRef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfCopy.IndirectReferences(PdfIndirectReference ref)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `getCopied()`
    `(package private) PdfIndirectReference` | `getRef()`
    `(package private) void` | `setCopied()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### theRef

          PdfIndirectReference theRef

    - #### hasCopied

          boolean hasCopied

  - ### Constructor Detail

    - #### PdfCopy.IndirectReferences

          PdfCopy.IndirectReferences(PdfIndirectReference ref)

  - ### Method Detail

    - #### setCopied

          void setCopied()

    - #### getCopied

          boolean getCopied()

    - #### getRef

          PdfIndirectReference getRef()